Skip to main content
`Ctrl`+`K`

# PetscViewerVUSetMode

Sets the mode in which to open the file.

## Synopsis

    PETSC_DEPRECATED_FUNCTION(3, 15, 0, "PetscViewerFileSetMode()", ) static inline PetscErrorCode PetscViewerVUSetMode(PetscViewer viewer, PetscFileMode mode)

Not Collective

## Input Parameters

- viewer - The `PetscViewer`

- mode - The file mode

## Note

Use `PetscViewerFileSetMode()` instead.

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerFileSetMode()`

## Level

deprecated

## Location

include/petscviewer.h

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages